## NAME

db.columns - List all columns for a given table.

## KEYWORDS

database, attribute table

## SYNOPSIS

db.columns
db.columns help
db.columns table=name [driver=name] [database=name] [--verbose] [--quiet]

### Parameters:

table=name
  Table name
driver=name
  Driver name
  Options: dbf,odbc,ogr,pg,sqlite
  Default: dbf
database=name
  Database name
  Default: $GISDBASE/$LOCATION_NAME/$MAPSET/dbf/

## DESCRIPTION

db.columns lists all columns for a give table. Connection to databases are supported through dbf, shp, odbc and pg drivers.

## NOTE

If parameters for database connection are already set with db.connect, they are taken as default values and do not need to be spcified each time.

## EXAMPLE

List columns from PostgreSQL attribute table

    db.columns table=markveggy driver=pg database=grass60test

If database parameters are already set

    db.columns table=markveggy

List columns from Shape file with DBF attribute table

    db.columns table=network driver=dbf database=/daten/grassdata/fire/PERMANENT/dbf/

## SEE ALSO

db.connect, db.describe, db.drivers, db.droptable, db.execute, db.login, db.tables, GRASS SQL interface

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - database index - Full index

© 2003-2014 GRASS Development Team